Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageSource

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageSource

Direct Known Subclasses:
  `TdApi.MessageSourceChatEventLog`, `TdApi.MessageSourceChatHistory`, `TdApi.MessageSourceChatList`, `TdApi.MessageSourceForumTopicHistory`, `TdApi.MessageSourceHistoryPreview`, `TdApi.MessageSourceMessageThreadHistory`, `TdApi.MessageSourceNotification`, `TdApi.MessageSourceOther`, `TdApi.MessageSourceScreenshot`, `TdApi.MessageSourceSearch`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.MessageSource extends TdApi.Object permits TdApi.MessageSourceChatHistory, TdApi.MessageSourceMessageThreadHistory, TdApi.MessageSourceForumTopicHistory, TdApi.MessageSourceHistoryPreview, TdApi.MessageSourceChatList, TdApi.MessageSourceSearch, TdApi.MessageSourceChatEventLog, TdApi.MessageSourceNotification, TdApi.MessageSourceScreenshot, TdApi.MessageSourceOther
This class is an abstract base class. Describes source of a message.

## Constructor Summary

Constructors
Constructor
Description
`MessageSource()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageSource

public MessageSource()
Default class constructor.